import { RestController } from '../controllers/rest.controller';
import { FunctionsModel } from '../model/functions.model';
export declare class StorageWebservice {
    constructor(rest: RestController);
    private static handleGetFile;
    private static handleUploadFile;
    private static handleGetThumbnail;
    private static handleListFiles;
    getUploadFileV2(prefix?: string): FunctionsModel;
    getFileStorageV1(prefix?: string): FunctionsModel;
    getFileFromStorage(prefix?: string): FunctionsModel;
    getFileFromStorageV2(prefix?: string): FunctionsModel;
    geThumbnailFromStorage(prefix?: string): FunctionsModel;
    geThumbnailFromStorageV2(prefix?: string): FunctionsModel;
    uploadMultiPartFile(prefix?: string): FunctionsModel;
    uploadMultiPartFileV2(prefix?: string): FunctionsModel;
    getFilesFromStorage(prefix?: string): FunctionsModel;
    getFilesFromStorageV2(prefix?: string): FunctionsModel;
}
